SDL_lroundf(3)

NAME
SDL_lroundf - Round x to the nearest integer representable as a long

SYNOPSIS
#include <SDL3/SDL_stdinc.h>

long SDL_lroundf(float x);

DESCRIPTION
Rounds x to the nearest integer. Values halfway between integers will be rounded away from zero.

Domain: -INF <= x <= INF

Range: MIN_LONG <= y <= MAX_LONG

This function operates on single-precision floating point values, use SDL_lround for double-precision floats. To get the result as a floating-point type, use SDL_roundf.

FUNCTION PARAMETERS

x   floating point value.

RETURN VALUE
Returns the nearest integer to x.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_lround(3), SDL_roundf(3), SDL_floorf(3), SDL_ceilf(3), SDL_truncf(3)